Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Class CountedOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.gjt.jclasslib.io.CountedOutputStream

public class CountedOutputStream
extends FilterOutputStream

`OutputStream` which counts the number of bytes written.

Version:
  $Revision: 1.4 $ $Date: 2004/12/28 13:04:31 $
Author:
  Ingo Kegel

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CountedOutputStream(OutputStream out)` Constructor.

Method Summary
`int` | `getBytesWritten()` Get the number of bytes written.
`void` | `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountedOutputStream

    public CountedOutputStream(OutputStream out)

  Constructor.

Parameters:
  `out` - the output stream.

Method Detail

### write

    public void write(int b)
               throws IOException

  Throws:
    `IOException`

### getBytesWritten

    public int getBytesWritten()

  Get the number of bytes written.

  Returns:
    the number of bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD